package football;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class PremierLeague {

    public static void main(String[] args) {
        Table table = new Table();

        try (BufferedReader br = new BufferedReader(new FileReader("results.txt"))) {
            String line;
            while ((line = br.readLine()) != null) {
                String[] parts = line.split(":");
                String[] homePart = parts[0].split(" ");
                String homeTeamName = String.join(" ", java.util.Arrays.copyOf(homePart, homePart.length - 1));
                int homeGoals = Integer.parseInt(homePart[homePart.length - 1]);
                String[] awayPart = parts[1].split(" ");
                int awayGoals = Integer.parseInt(awayPart[0]);
                String awayTeamName = String.join(" ", java.util.Arrays.copyOfRange(awayPart, 1, awayPart.length));

                Club homeTeam = new Club(homeTeamName);
                Club awayTeam = new Club(awayTeamName);
                Match match = new Match(homeTeam, awayTeam, homeGoals, awayGoals);
                table.addMatch(match);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }

        table.sortTable();

        table.printTable();
    }
}