package football;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class Table {
    private List<TableRow> rows;

    public Table() {
        this.rows = new ArrayList<>();
    }

    public void addMatch(Match match) {
        TableRow homeRow = findOrCreateRow(match.getHomeTeam());
        TableRow awayRow = findOrCreateRow(match.getAwayTeam());

        homeRow.addMatch(match.getHomeGoals(), match.getAwayGoals());
        awayRow.addMatch(match.getAwayGoals(), match.getHomeGoals());
    }

    private TableRow findOrCreateRow(Club club) {
        for (TableRow row : rows) {
            if (row.getClub().getName().equals(club.getName())) {
                return row;
            }
        }
        TableRow newRow = new TableRow(club);
        rows.add(newRow);
        return newRow;
    }

    /*provjeriti i implementirati logiku za pronalazenje tima sa najmanjom gol
     * razlikom, u tom slucaju to moze biti i obicno pronalazenje minimuma liste...
     */
    public void sortTable() {
        Collections.sort(rows, new Comparator<TableRow>() {
            @Override
            public int compare(TableRow tr1, TableRow tr2) {
            	if(tr1.getPoints() < tr2.getPoints()) return 1;
            	if(tr1.getPoints() > tr2.getPoints()) return -1;
            	return (tr1.getGoalDifference() < tr2.getGoalDifference()) ? 1 : -1;
            }
        });
    }
    
    public void printTable() {
        System.out.printf("%-25s %5s %5s %5s %5s %5s %5s %5s%n",
                "Club", "Pts", "W", "D", "L", "GF", "GA", "GD");
        System.out.println("-------------------------------------------------------------------");
        for (TableRow row : rows) {
            System.out.println(row);
        }
    }
}