package football;

public class TableRow {
    private Club club;
    private int won;
    private int drawn;
    private int lost;
    private int points;
    private int goalsFor;
    private int goalsAgainst;

    public TableRow(Club club) {
        this.club = club;
        this.won = 0;
        this.drawn = 0;
        this.lost = 0;
        this.points = 0;
        this.goalsFor = 0;
        this.goalsAgainst = 0;
    }

    public void addMatch(int goalsFor, int goalsAgainst) {
        this.goalsFor += goalsFor;
        this.goalsAgainst += goalsAgainst;
        if (goalsFor > goalsAgainst) {
            this.won++;
            this.points += 3;
        } else if (goalsFor == goalsAgainst) {
            this.drawn++;
            this.points += 1;
        } else {
            this.lost++;
        }
    }

    public Club getClub() {
        return club;
    }

    public int getPoints() {
        return points;
    }

    public int getWon() {
        return won;
    }

    public int getDrawn() {
        return drawn;
    }

    public int getLost() {
        return lost;
    }

    public int getGoalsFor() {
        return goalsFor;
    }

    public int getGoalsAgainst() {
        return goalsAgainst;
    }
    
    public int getGoalDifference() {
    	return goalsFor - goalsAgainst;
    }

    @Override
    public String toString() {
        return String.format("%-25s %5d %5d %5d %5d %5d %5d %5d",
            club.getName(), points, won, drawn, lost, goalsFor, goalsAgainst, getGoalDifference());
    }
    
    
}