import requests
from bs4 import BeautifulSoup

def scrape_results():
    url = 'https://www.worldfootball.net/all_matches/eng-premier-league-2003-2004/'
    response = requests.get(url)
    soup = BeautifulSoup(response.content, 'html.parser')

    table = soup.find('table', class_='standard_tabelle')
    rows = table.find_all('tr')

    results = []
    for row in rows[1:]:
        cols = row.find_all('td')
        if len(cols) > 5:
            date = cols[0].text.strip()
            team1 = cols[2].text.strip()
            score = cols[5].text.strip().split(' ')[0]
            team2 = cols[4].text.strip()
            result = f"{team1} {score} {team2}"
            results.append(result)

    with open('results.txt', 'w') as f:
        for result in results:
            f.write(result + '\n')

if __name__ == '__main__':
    scrape_results()